Skip to main content
`Ctrl`+`K`

# PCMGSetAdaptCR

Monitor the coarse space quality using an auxiliary solve with compatible relaxation.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetAdaptCR(PC pc, PetscBool cr)

Logically Collective

## Input Parameters

- pc - the multigrid context

- cr - flag for compatible relaxation

## Options Database Key

- -pc_mg_adapt_cr - Turn on compatible relaxation

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGGetAdaptCR()`, `PCMGSetAdaptInterpolation()`, `PCMGSetGalerkin()`, `PCMGGetAdaptCoarseSpaceType()`, `PCMGSetAdaptCoarseSpaceType()`

## Level

intermediate

## Location

src/ksp/pc/impls/mg/mg.c

## Implementations

PCMGSetAdaptCR_MG() in src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages